Переполнение буфера в Squid

Дата публикации:
04.12.2007
Всего просмотров:
1717
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-6239
CVE-2008-1612
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Squid 2.x
Уязвимые версии: Squid версии до 2.6.STABLE17

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании приложения.

Уязвимость существует из-за ошибки проверки границ данных при обработке ответов для обработки кеша. Удаленный пользователь может с помощью специально сформированного ответа аварийно завершить работу прокси сервера.

URL производителя: www.squid-cache.org

Решение: Установите последнюю версию 2.6.STABLE17 или исправление с сайта производителя.

или введите имя

CAPTCHA
04-12-2007 18:03:31
Во первых не переполнение, а дос. А во вторых: Severity: This problem allows any client trusted to use the service to perform a denial of service attack on the Squid service.
0 |